package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目内容对象 cmc_project_work
 * 
 * @author cmc
 * @date 2024-02-28
 */
public class CmcProjectWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String projectId;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String workContent;

    /** 等级或比例尺 */
    @Excel(name = "等级或比例尺")
    private String scaleGrade;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 工作量 */
    @Excel(name = "工作量")
    private String workLoad;

    /** 要求完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setWorkContent(String workContent) 
    {
        this.workContent = workContent;
    }

    public String getWorkContent() 
    {
        return workContent;
    }
    public void setScaleGrade(String scaleGrade) 
    {
        this.scaleGrade = scaleGrade;
    }

    public String getScaleGrade() 
    {
        return scaleGrade;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setWorkLoad(String workLoad) 
    {
        this.workLoad = workLoad;
    }

    public String getWorkLoad() 
    {
        return workLoad;
    }
    public void setFinishTime(Date finishTime) 
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime() 
    {
        return finishTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("workContent", getWorkContent())
            .append("scaleGrade", getScaleGrade())
            .append("unit", getUnit())
            .append("workLoad", getWorkLoad())
            .append("finishTime", getFinishTime())
            .toString();
    }
}
